Skip to navigation

Retrieve all Interfaces

View as Markdown

Get all Interfaces for an Instance

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
instanceIdstringRequired
ID of the Instance

Query parameters

statusstringOptional
Filter Interfaces by Status
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
instanceTenantIdstring or nullRead-onlyformat: "uuid"

ID of the Tenant that owns the associated Instance when it differs from the selected VPC or VPC Prefix owner; null when the owners match

vpcTenantIdstring or nullRead-onlyformat: "uuid"

ID of the Tenant that owns the selected VPC or VPC Prefix when it differs from the Instance owner; null when the owners match

idstringOptionalformat: "uuid">=1 character
Unique UUID v4 identifier for the Interface
instanceIdstringOptionalformat: "uuid"
ID of the associated Instance
subnetIdstring or nullOptionalformat: "uuid"
ID of the associated Subnet
vpcPrefixIdstring or nullOptionalformat: "uuid"
ID of the VPC Prefix explicitly selected by the caller
vpcIdstringOptionalformat: "uuid"
ID of the VPC from which the Controller selects a prefix
ipFamilieslist of enumsOptional
Address families requested for Controller prefix selection
Allowed values:
isPhysicalbooleanOptional
Indicates whether the network is bound on a physical Interface
devicestring or nullOptional
Name of the device to use
deviceInstanceinteger or nullOptional
Index of the device, used to identify which interface card to attache the Partition to
virtualFunctionIdinteger or nullOptional
Must be specified if isPhysical is false
macAddressstring or nullOptional
MAC address of the Interface
ipAddresseslist of stringsOptional
A list of IPv4 or IPv6 addresses
ipPrefixeslist of stringsOptionalRead-only

Reported IPv4 or IPv6 prefixes in CIDR notation, ordered IPv4 before IPv6. This list is independent of ipAddresses; SLAAC can report an IPv6 prefix without a fixed host address. Match prefixes and addresses by address family, not list position. Empty when no prefixes are available.

requestedIpAddressstring or nullOptional

Explicitly requested IP address for the interface. This is only used with an explicit vpcPrefixId and is not valid with subnetId or VPC-selected interfaces. The least-significant host bit must be 1.

inlineRoutingProfileobject or nullOptional

Inline interface-local routing profile options. Only valid for VPC-backed interfaces.

statusenumOptional
Status of the Interface
Allowed values:
createddatetimeOptionalRead-only

Date/time when the Interface was created

updateddatetimeOptionalRead-only

Date/time when the Interface was last updated

Errors

403
Forbidden Error